curl https://api.onepay.la/v1/customers/session/payment-methods \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-Customer-Token: 12|a1b2c3d4e5f6..."
{
"data": {
"cards": [
{
"id": "bb02b2fd-154c-4c90-9fdf-cec3a0b25cf5",
"brand": "visa",
"last_four": "4242",
"label": "Visa ····4242",
"expiration_date": "2028-12-31",
"card_name": "MARIA LOPEZ"
}
],
"wallets": [
{
"id": "a1b2c3d4-5678-9abc-def0-123456789abc",
"subtype": "nequi",
"phone": "3001234567",
"label": "NEQUI ····4567"
}
],
"pse": [
{
"id": "c3d4e5f6-7890-abcd-ef01-234567890def",
"bank_name": "Bancolombia",
"label": "Bancolombia - PSE"
}
]
}
}
Retorna los métodos de pago del cliente autenticado: tarjetas, billeteras y cuentas PSE.
curl https://api.onepay.la/v1/customers/session/payment-methods \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-Customer-Token: 12|a1b2c3d4e5f6..."
{
"data": {
"cards": [
{
"id": "bb02b2fd-154c-4c90-9fdf-cec3a0b25cf5",
"brand": "visa",
"last_four": "4242",
"label": "Visa ····4242",
"expiration_date": "2028-12-31",
"card_name": "MARIA LOPEZ"
}
],
"wallets": [
{
"id": "a1b2c3d4-5678-9abc-def0-123456789abc",
"subtype": "nequi",
"phone": "3001234567",
"label": "NEQUI ····4567"
}
],
"pse": [
{
"id": "c3d4e5f6-7890-abcd-ef01-234567890def",
"bank_name": "Bancolombia",
"label": "Bancolombia - PSE"
}
]
}
}
Bearer sk_test_xxx o Bearer sk_live_xxx.Show Propiedades
curl https://api.onepay.la/v1/customers/session/payment-methods \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-Customer-Token: 12|a1b2c3d4e5f6..."
{
"data": {
"cards": [
{
"id": "bb02b2fd-154c-4c90-9fdf-cec3a0b25cf5",
"brand": "visa",
"last_four": "4242",
"label": "Visa ····4242",
"expiration_date": "2028-12-31",
"card_name": "MARIA LOPEZ"
}
],
"wallets": [
{
"id": "a1b2c3d4-5678-9abc-def0-123456789abc",
"subtype": "nequi",
"phone": "3001234567",
"label": "NEQUI ····4567"
}
],
"pse": [
{
"id": "c3d4e5f6-7890-abcd-ef01-234567890def",
"bank_name": "Bancolombia",
"label": "Bancolombia - PSE"
}
]
}
}
Was this page helpful?